Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.framework
Interface EPPConnectionHandler

All Known Implementing Classes:
  ConnectionHandler

    public interface EPPConnectionHandler

The EPPConnectionHandler interface defines an interface for classes that need to be notified of connection events from a Server. A subclassed instance of `EPPConnectionHandler` should be registered with the `EPPDispatcher` so that connection events are handled there.

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $
See Also:
  `EPPDispatcher`

Method Summary
`EPPEventResponse` | `handleConnection(java.lang.Object aData)` The method that subclasses will implement when they wish to be notified of new connections

Method Detail

### handleConnection

    EPPEventResponse handleConnection(java.lang.Object aData)

  The method that subclasses will implement when they wish to be notified of new connections

  Parameters:
    `aData` - Any data that a Server needs to send to this `EPPConnectionHandler` instance.
  Returns:
    EPPEventResponse A reponse that an `EPPConnectionHandler` can send when notified of a connection.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.